Subject: Re: radvd and auto-ipv6 address regression from 2.6.31 to 2.6.34+

From: Ben Greear <[email-masked]>
Date: Fri, 05 Nov 2010 16:13:56 -0700

On 11/05/2010 02:24 PM, Ben Greear wrote:
>
> I'm seeing something strange. I'm running radvd on a VETH interface
> (veth0 for argument)
> with a single global IPv6 address (and a link-local address).
>
> On hacked 2.6.31, this works as I expect: The veth0 interface does not
> gain or lose any
> IPv6 addresses and peer VETH port gets an auto-created IPv6 addresses.
>
> On hacked 2.6.34 and 2.6.36 kernels, however, the veth0 gains a new
> address that appears
> to be generated similar to other IPs associated with auto-creation via
> radvd.
>
> I have not yet tested intervening kernels or physical interfaces between
> two machines.
>
> So, the question is: Is the new behaviour on purpose, or is it a
> regression bug?

Actually, this doesn't seem to work for 2.6.31 either, so I guess it
isn't a regression.

Is it expected behaviour, however?

Thanks,
Ben

> Thanks,
> Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com